@import url("../fonts/fonts.css");

:root {
  --primary-color: #ffffff;
  --secondary-color: #0e0e0e;

  --bg-color: var(--primary-color);

  --border-color: #a2a2a2;
  --border-color-light: #eae9e8;
  --border-color-dark: #7e7e7e;

  --hover-color: #202020;
}

body {
  background-color: var(--bg-color);
  color: var(--secondary-color);
  font-family: "Kreadon", Arial, Helvetica, sans-serif;
  top: 0px !important;
}

.galleryOpened {
  overflow: hidden;
}

/* typography */

a {
  color: var(--secondary-color);
  font-weight: 400;
  font-size: 16px;
  text-decoration: none;
}

a:hover {
  color: var(--hover-color);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}

h1 {
  font-size: 32px;
}

h2 {
  font-size: 24px;
}

p {
  margin: 0;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.text_size_normal {
  font-size: 16px;
}

.text_size_small {
  font-size: 14px;
}

.text_weight_semi-bold {
  font-weight: 600;
}

@media (max-width: 576px) {
  h1 {
    font-size: 28px;
  }

  h2 {
    font-size: 22px;
  }
}

/* list */

.list-group {
  list-style: none;
}

/* buttons */

.btn {
  padding: 8px 20px;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  border-radius: 0;
}

.btn-primary,
.btn-secondary {
  height: 50px;
}

.btn-primary {
  background-color: var(--secondary-color);
  color: var(--primary-color);
}

.btn-primary:hover {
  background-color: var(--hover-color);
}

.btn-secondary {
  padding: 7px 19px;
  background-color: var(--primary-color);
  color: var(--secondary-color);
  border: 1px solid var(--secondary-color);
}

.btn-secondary:hover {
  padding: 6px 18px;
  background-color: var(--primary-color);
  color: var(--secondary-color);
  border: 2px solid var(--secondary-color);
}

/* forms */

.form-control {
  padding: 8px 20px;
  border-color: var(--border-color-dark);
  border-radius: 0;
}

.form-control::placeholder {
  color: var(--border-color-dark);
}

.form-control:focus {
  box-shadow: none;
  border-color: var(--secondary-color);
}

.form-control:focus::placeholder {
  color: var(--secondary-color);
}

input[type="radio"] {
  width: 18px;
  height: 18px;
  accent-color: var(--secondary-color);
  outline: 1px auto var(--border-color);
}

/* dropdown */

.dropdown-toggle::after {
  display: none !important;
  display: flex;
  align-items: center;
}

.dropdown-item {
  display: flex;
  gap: 8px;
  padding: 10px 20px;
}

.dropdown-item.active {
  background-color: var(--secondary-color);
}

.dropdown-item:hover {
  background-color: var(--secondary-color);
  color: var(--primary-color);
}

.dropdown-item:hover img {
  filter: invert(99%) sepia(79%) saturate(2%) hue-rotate(271deg)
    brightness(107%) contrast(100%);
}

.dropdown-item > div {
  height: 24px;
  width: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.dropdown-menu {
  padding: 1px;
  border-radius: 0;
}

/* main > .container,
main > .container-fluid {
  padding: 70px 15px 20px;
}

.footer {
  background-color: var(--bg-color);
  font-size: 0.9em;
} */

/* other */

.site-index {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* .footer > .container,
.footer > .container-fluid {
  padding-right: 15px;
  padding-left: 15px;
} */

.not-set {
  color: #c55;
  font-style: italic;
}

/* add sorting icons to gridview sort links */
/* a.asc:after, a.desc:after {
    content: '';
    left: 3px;
    display: inline-block;
    width: 0;
    height: 0;
    border: solid 5px transparent;
    margin: 4px 4px 2px 4px;
    background: transparent;
}

a.asc:after {
    border-bottom: solid 7px #212529;
    border-top-width: 0;
}

a.desc:after {
    border-top: solid 7px #212529;
    border-bottom-width: 0;
} */

.grid-view th,
.grid-view td:last-child {
  white-space: nowrap;
}

.grid-view .filters input,
.grid-view .filters select {
  min-width: 50px;
}

.hint-block {
  display: block;
  margin-top: 5px;
  color: #999;
}

.error-summary {
  color: #a94442;
  background: #fdf7f7;
  border-left: 3px solid #eed3d7;
  padding: 10px 20px;
  margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
/* .navbar form > button.logout {
    padding-top: 7px;
    color: rgba(255, 255, 255, 0.5);
}

@media(max-width:767px) {
    .navbar form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 0;
    }
}

.navbar form > button.logout:focus,
.navbar form > button.logout:hover {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.75);
}

.navbar form > button.logout:focus {
    outline: none;
} */

/* style breadcrumb widget as in previous bootstrap versions */
.breadcrumb {
  background-color: var(--bs-gray-200);
  border-radius: 0.25rem;
  padding: 0.75rem 1rem;
}

.breadcrumb-item > a {
  text-decoration: none;
}

/**
 * Custom styles
 */
/* .sorting,
.filter {
  color: #000;
}
.sorting a,
.sorting a:hover,
.filter a,
.filter a:hover {
  color: #000;
  text-decoration: none;
}
.sorting li,
.filter li {
  border: 0px;
}
.sorting li.active,
.filter li.active {
  background-color: #f8f9fa;
  color: #000;
}
.filter-group {
  cursor: pointer;
} */
.mask {
  opacity: 0;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-attachment: fixed;
  background-color: rgba(0, 0, 0, 0.5);
}
.mask:hover {
  opacity: 1;
}
.bg-image {
  position: relative;
  overflow: hidden;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}

.product-description {
  min-height: 50px;
}
/* .cookieNotificationBar {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background: #fff;
  box-shadow: 0px -2px 15px rgba(0, 0, 0, 0.15);
  padding: 28px;
  z-index: 1000;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  color: #000;
}
.disableCookieNotification {
  cursor: pointer;
  box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.15);
  padding: 0.375rem 25px;
  float: right;
} */

.textButtonDefault {
  float: right;
}

.has-error .help-block {
  color: #dc3545 !important;
}

body > .skiptranslate {
    display: none;
}
